\usepackage{subfigure,wrapfig,graphicx,booktabs,fancyhdr,amsmath,amsfonts}
\usepackage{bm,amssymb,amsmath,amsthm,wasysym,framed,url,multirow,float,adjustbox}
\usepackage{mathtools,comment}
\usepackage[american]{circuitikz}
\usepackage{tikz}
\usetikzlibrary{shapes,arrows.meta,positioning,calc,patterns.meta}
\usepackage{pdfpages}
\usepackage[headings]{fullpage}
\usepackage{fancyhdr}
\usepackage[T1]{fontenc}
\usepackage[latin9]{inputenc}
\usepackage[letterpaper]{geometry}
\geometry{verbose}
\usepackage{calc} 
\usepackage{mathrsfs} 
\usepackage{babel}
\usepackage[compact]{titlesec}
\usepackage{xspace}
\usepackage{graphicx}
\usepackage{cancel}
\usepackage{psfrag}
\usepackage{changepage}
\usepackage{blkarray} 
\usepackage{indentfirst}
%\usepackage{hyperref}
\DeclareMathAlphabet{\mathpzc}{OT1}{pzc}{m}{it}

% QUESTION AND ANSWER
\newcommand{\qa}[2]{
  \begin{itemize}
  \item[\textbf{Q}:] #1  
  \item[\textbf{A}:] #2 $\blacksquare$
  \end{itemize}
}

\newcommand\undermat[2]{%
  \makebox[0pt][l]{$\smash{\underbrace{\phantom{%
    \begin{matrix}#2\end{matrix}}}_{\text{$#1$}}}$}#2}

\theoremstyle{definition}
\newtheorem*{exmp}{Example}
\theoremstyle{definition}
\newtheorem*{rem}{Remarks}
\interfootnotelinepenalty=10000

\pagestyle{fancy}
\fancyhead{}
\fancyhead[LE,RO]{\slshape \rightmark}

\newenvironment{spoken}{\itshape Spoken:}{}

% SYMBOLS
\newcommand{\vb}{\boldsymbol}
\newcommand{\vbh}[1]{\hat{\boldsymbol{#1}}}
\newcommand{\vbb}[1]{\bar{\boldsymbol{#1}}}
\newcommand{\vbt}[1]{\tilde{\boldsymbol{#1}}}
\newcommand{\vbs}[1]{{\boldsymbol{#1}}^*}
\newcommand{\vbd}[1]{\dot{{\boldsymbol{#1}}}}
\newcommand{\vbtd}[1]{\dot{\tilde{\boldsymbol{#1}}}}
\newcommand{\vbdd}[1]{\ddot{{\boldsymbol{#1}}}}
\newcommand{\E}[1]{\mathbb{E}\left[ #1 \right]}
\newcommand{\und}[1]{\underline{#1}}
\newcommand{\by}{\times}
\newcommand{\T}{^{\mathsf{T}}}
\newcommand{\Tr}{\mathsf{T}}
\newcommand{\nT}{^{\mathsf{-T}}}
\newcommand{\snT}{^{*\mathsf{-T}}}
\newcommand{\sT}{^{*\mathsf{T}}}
\newcommand{\tr}{{\rm tr}}
\newcommand{\sfrac}[2]{\textstyle \frac{#1}{#2}}
\newcommand{\ba}{\begin{array}}
\newcommand{\ea}{\end{array}}
\renewcommand{\earth}{\oplus}
\newcommand{\sinc}{{\rm sinc}}
%\newcommand{\define}{\coloneqq}
\newcommand{\define}{\triangleq}
\newcommand{\cnr}{C/N_0}
\newcommand{\sgn}{\rm sgn}
\renewcommand{\Re}{\mathbb{R}}
\renewcommand{\Im}{\mathbb{I}}
\newcommand{\brm}[1]{\bm{\text{#1}}}
\newcommand{\round}[1]{\ensuremath{\lfloor#1\rceil}}
\newcommand{\cpe}[1]{\left[{#1} \times \right]}
\newcommand{\RBI}{\ensuremath{R_\text{BI}}}
\newcommand{\RBIs}{\ensuremath{R^*_\text{BI}}}
\newcommand{\rI}{\ensuremath{\vb{r}_\text{I}}}
\newcommand{\rIs}{\ensuremath{\vb{r}^*_\text{I}}}
\newcommand{\wB}{\ensuremath{\vb{\omega}_\text{B}}}
\DeclareMathAlphabet{\mathpzc}{OT1}{pzc}{m}{it}
\DeclareMathOperator*{\argmin}{\arg\!\min}
\DeclareMathOperator*{\argmax}{\arg\!\max}
\newcommand{\tbox}[1]{\noindent \fbox{\parbox{\textwidth}{#1}}}

\setlength{\parindent}{0pt}

\topmargin = 0 mm 
\oddsidemargin = 0 mm 
\evensidemargin = 0 mm
\headheight = 0 mm 
\headsep = 8 mm 
\textheight = 220 mm 
\textwidth =150 mm 
\parindent = 0 mm
\parskip = 2 mm 

\tikzstyle{block} = [draw,fill=white,rectangle,thick,minimum height=3em,minimum width=6em]
\tikzstyle{sum} = [draw, fill=white, circle, node distance=1cm]
\tikzstyle{connector} = [-Stealth, thick]
\tikzstyle{dotconnector} = [{Circle[length=4pt]}-Stealth, thick, shorten <=-2pt]
\tikzstyle{input} = [coordinate]
\tikzstyle{output} = [coordinate]

